Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.model
Enum PropertyRefModel.PropertySetType

    java.lang.Object
      java.lang.Enum<PropertyRefModel.PropertySetType>
          com.bea.p13n.model.PropertyRefModel.PropertySetType

All Implemented Interfaces
  Serializable, Comparable<PropertyRefModel.PropertySetType>

Enclosing class:
  PropertyRefModel

    public static enum PropertyRefModel.PropertySetType

extends Enum<PropertyRefModel.PropertySetType>

The known property set types.

Enum Constant Summary
`APPLICATION_DEFINED`
`CATALOG`
`CONTENT`
`EVENT`
`REQUEST`
`SESSION`
`UNKNOWN`
`USER`

Method Summary
`static PropertyRefModel.PropertySetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyRefModel.PropertySetType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER

    public static final PropertyRefModel.PropertySetType USER

### REQUEST

    public static final PropertyRefModel.PropertySetType REQUEST

### SESSION

    public static final PropertyRefModel.PropertySetType SESSION

### EVENT

    public static final PropertyRefModel.PropertySetType EVENT

### APPLICATION_DEFINED

    public static final PropertyRefModel.PropertySetType APPLICATION_DEFINED

### CONTENT

    public static final PropertyRefModel.PropertySetType CONTENT

### CATALOG

    public static final PropertyRefModel.PropertySetType CATALOG

### UNKNOWN

    public static final PropertyRefModel.PropertySetType UNKNOWN

Method Detail

### values

    public static final PropertyRefModel.PropertySetType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PropertyRefModel.PropertySetType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.